Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 171326 - [C/C++] Generating classes/methods comment skeletons in code editor
[C/C++] Generating classes/methods comment skeletons in code editor
Status: RESOLVED FIXED
Product: cnd
Classification: Unclassified
Component: -- Other --
6.x
All All
: P2 with 6 votes (vote)
: 6.x
Assigned To: Alexander Simon
issues@cnd
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-09-02 14:50 UTC by skip5500
Modified: 2010-04-25 09:22 UTC (History)
1 user (show)

See Also:
Issue Type: ENHANCEMENT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description skip5500 2009-09-02 14:50:04 UTC
It would be nice to have the ability to quickly generate comments in code editor.

For example, when coding in Java you can type /** followed by enter above a method declaration. It generates a nice
javadoc-compliant comment skeleton (with @param and @return) which you can adapt.

It makes documenting much less error prone and cumbersome, especially if you plan to generate an HTML code
documentation. I think that doxygen tags might be the best for this purpose.
Comment 1 Alexander Simon 2009-10-07 14:09:16 UTC
partly fixed in change set:
http://hg.netbeans.org/cnd-main?cmd=changeset;node=72133d3a46f6

fixed use case:
/***/
int foo(int arg){
    return 0;
}
Cursor position is /**|*/.
Press enter.
Result is:
/**
 *
 * @param arg
 * @return
 */
int foo(int arg){
    return 0;
}
It is important to have well formed comments. If comment is not completed the doc generation does not work.
Comment 2 Quality Engineering 2009-10-09 22:55:14 UTC
Integrated into 'main-golden', will be available in build *200910091401* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/72133d3a46f6
User: Alexander Simon <alexvsimon@netbeans.org>
Log: fixing IZ#171326 [C/C++] Generating classes/methods comment skeletons in code editor
Comment 3 Irina Filippova 2010-02-17 09:24:44 UTC
This issue erroneously got into the usersguide module. Changing to cnd


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo